### Method

# Soup MessageMetrics get_dns_end

#### Declaration [src]

    guint64
    soup_message_metrics_get_dns_end (
      SoupMessageMetrics* metrics
    )

#### Description [src]

Get the time immediately after the `SoupMessage` completed the domain lookup name for the resource.

It will be 0 if no domain lookup was required to fetch the resource (a persistent connection was used or resource was loaded from the local disk cache).

#### Return value

Type: `guint64`

The domain lookup end time.